
Name: 		qpid-java
Version: 	0.2.687156
Release: 	1%{?dist}
Epoch:		0
Summary: 	Java implementation of Apache Qpid
License: 	Apache Software License
Group: 		Development/Java
URL: 		http://incubator.apache.org/qpid
# See fetch-new-tarballs script
Source0: 	%{name}-%{version}.tar.gz
Source1:	gentools.tar.gz
Source2:	specs.tar.gz
Source3:	python.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch

BuildRequires:	ant >= 1.6.5
BuildRequires:	ant-nodeps >= 1.6.5
BuildRequires:  subversion

Requires: 	jakarta-commons-codec
Requires: 	jakarta-commons-lang
Requires: 	jakarta-commons-logging 
Requires: 	xalan-j2

%description
Java implementation of Apache Qpid.

%prep
%setup -q -c
%setup -q -T -D -a 1
%setup -q -T -D -a 2
%setup -q -T -D -a 3

%build
cd %{name}-%{version}
ant -Dmodules="junit-toolkit common broker client" || ant -Dmodules="junit-toolkit common broker client"
# add "test" target
rm build/bin/*.bat

# blacklisted jars are provided by the Requires:
BLACKLIST="commons-codec commons-lang commons-logging xalan"
for jar in $BLACKLIST; do rm build/lib/${jar}*.jar; done

%install
rm -rf $RPM_BUILD_ROOT

# bin
install -d -m 755 %{buildroot}%{_bindir}
install -p -m 755 %{name}-%{version}/build/bin/qpid* %{buildroot}%{_bindir}

# jars
install -d -m 755 %{buildroot}%{_javadir}
rm %{name}-%{version}/build/lib/qpid-junit-toolkit*.jar
install -p -m 755 %{name}-%{version}/build/lib/qpid-*.jar \
  %{buildroot}%{_javadir}

# additional dependencies
install -d -m 755 %{buildroot}%{_javadir}/qpid-deps
install -p -m 755 $(find %{name}-%{version}/build/lib/ -name '*.jar' \
  ! -name 'qpid*.jar') %{buildroot}%{_javadir}/qpid-deps

# config
install -d -m 755 %{buildroot}%{name}/etc
install -p -m 755 %{name}-%{version}/build/etc/* %{buildroot}%{name}/etc

# javadoc
#install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{version}

# java broker cleanup
rm  %{buildroot}/usr/bin/qpid-passwd
rm  %{buildroot}/usr/bin/qpid-server
rm  %{buildroot}/usr/bin/qpid.start
rm  %{buildroot}/usr/bin/qpid.stop
rm  %{buildroot}/usr/bin/qpid.stopall
rm  %{buildroot}/usr/share/java/qpid-broker-incubating-M3.jar
rm  %{buildroot}/usr/share/java/qpid-broker-tests-incubating-M3.jar

%clean
rm -rf $RPM_BUILD_ROOT


%package common
Summary:	Java implementation of Apache Qpid - common
Group: 		Development/Java
BuildArch:	noarch

Requires: 	jakarta-commons-codec
Requires: 	jakarta-commons-lang
Requires: 	jakarta-commons-logging 
Requires: 	xalan-j2

%description common
Java implementation of Apache Qpid - common

%files common
%defattr(-,root,root,-)
%{_bindir}/qpid-run
%{_javadir}/qpid-deps
%{_javadir}/qpid-common-*.jar
%{_javadir}/qpid-incubating.jar
%doc


%package client
Summary:	Java implementation of Apache Qpid - client
Group: 		Development/Java
BuildArch:	noarch

Requires:	qpid-java-common = %{version}-%{release}

%description client
Java implementation of Apache Qpid - client

%files client
%defattr(-,root,root,-)
%{_javadir}/qpid-client-*.jar
%doc

%changelog
* Fri Aug 25 2008 Justin Ross <jross@redhat.com> - 0:0.2.687156-1
- Updated to revision 687156 of the qpid.0-10 branch

* Fri Aug 15 2008 Justin Ross <jross@redhat.com> - 0:0.2.686136-1
- Updated to revision 686136 of the qpid.0-10 branch

* Mon Jun 16 2008 Justin Ross <jross@redhat.com> - 0:0.2.668333-1
- Updated to source revision 668333

* Fri Jun 13 2008 Arnaud Simon <asimon@redhat.com> - 0:0.2.667615-1
- Updated to source revision 667615

* Mon Jun 11 2008 Arnaud Simon <asimon@redhat.com> - 0:0.2.666296-2
- Updated common dep and removed package broker

* Mon Jun 10 2008 Justin Ross <jross@redhat.com> - 0:0.2.666296-1
- Updated to source revision 666296

* Mon Jun 9 2008 Arnaud Simon <asimon@redhat.com> - 0:0.2.665769-1
- Updated to source revision 665769

* Thu May 15 2008 Justin Ross <jross@redhat.com> - 0:0.2.656760-1
- Updated source tarballs instructions
- Added svn revision number to version
- Updated to source revision 656760

* Tue May 13 2008 Arnaud Simon  <asimon@redhat.com> - 0:0.2-11
- changed version for solving version conflic

* Tue May 13 2008 Arnaud Simon  <asimon@redhat.com> - 0:0.2-10
- changed some default network configuration 

* Tue May 13 2008 Arnaud Simon  <asimon@redhat.com> - 0:0.2-9
- Bumped release for Beta 4

* Fri Feb 15 2008  Rafael Schloming <rafaels@redhat.com> - 0:0.2-9
- fix for deadlock exposed by TCK

* Wed Feb 13 2008  Rafael Schloming <rafaels@redhat.com> - 0:0.2-8
- More bug fixes for Beta 3

* Tue Feb 12 2008 Rafael Schloming <rafaels@redhat.com> - 0:0.2-7
- Bumped release for Beta 3 bug fixes

* Mon Feb 11 2008 Rafael Schloming <rafaels@redhat.com> - 0:0.2-6
- Bumped release for Beta 3

* Mon Feb 11 2008 Nuno Santos <nsantos@redhat.com> - 0.2-5
- Initial build.

